/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.pandora

import android.app.Activity
import android.os.Bundle

/**
 * A skeleton class that provides empty implementations for Activity class.
 *
 * <p>This is needed to test AVRCP Browsing as players without an audio activity are filtered out.
 */
class MediaPlayerActivity : Activity() {
    override fun onCreate(icicle: Bundle?) {}

    override fun onDestroy() {}

    override fun onRequestPermissionsResult(
        requestCode: Int,
        permissions: Array<String>,
        grantResults: IntArray
    ) {}
}
